petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecCreateShared

Creates a parallel vector that uses shared memory.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateShared(MPI_Comm comm,PetscInt n,PetscInt N,Vec *v)

### Input Parameters

comm -the MPI communicator to use
n -local vector length (or PETSC_DECIDE to have calculated if N is given)
N -global vector length (or PETSC_DECIDE to have calculated if n is given)

### Output Parameter

vv -the vector

Collective on MPI_Comm

### Notes

Currently VecCreateShared() is available only on the SGI; otherwise, this routine is the same as VecCreateMPI().

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

### See Also

VecCreateSeq(), VecCreate(), VecCreateMPI(), VecDuplicate(), VecDuplicateVecs(),
VecCreateGhost(), VecCreateMPIWithArray(), VecCreateGhostWithArray()

Level:advanced
Location:src/vec/vec/impls/shared/shvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex11f.F.html
src/snes/examples/tutorials/ex5s.c.html